メインコンテンツへスキップ
POST
/
api
/
publicapi
/
v1
/
transactions
/
launch
新しいトランザクションでファイル処理を開始します
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/launch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'Files=<string>' \
  --form 'Model={
  "files": [
    {
      "imageProcessingOptions": {},
      "index": "<string>",
      "registrationParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "registrationParameters": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "skillParameters": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}' \
  --form Files.items='@example-file'
{
  "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

skillId
string

ボディ

multipart/form-data
Files
file[]

multipart/* コンテンツとして送信されたファイルを取得するためのモデル

Model
object

トランザクション処理の追加 Parameter です。TransactionLaunchMetadataDto モデルを参照してください。

レスポンス

トランザクションの作成と開始が正常に完了しました

transactionId
string<uuid>
必須